Next Commerce
Payments

Transactions Verify Create

Verify a card token.

POST
/transactions/verify/

Authorization

oauth2 transactions:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: transactions:write

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Request Body

card_token*string
Lengthlength <= 128
currency*string
Lengthlength <= 12
payment_gateway?|
payment_gateway_group?|
user*

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/transactions/verify/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "card_token": "string",
    "currency": "string",
    "user": {}
  }'
{
  "card_token": "string",
  "preferred_payment_gateway": {
    "gateway_type": "string",
    "id": 0,
    "name": "string"
  },
  "user": {
    "accepts_marketing": true,
    "email": "user@example.com",
    "first_name": "string",
    "id": 0,
    "ip": "string",
    "language": "en",
    "last_name": "string",
    "metadata": {},
    "phone_number": "string",
    "tags": [
      "string"
    ],
    "user_agent": "string"
  }
}